# PreSwitchOutResetStatusAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PreSwitchOutResetStatusAbAttr

#### Hierarchy (view full)

- PreSwitchOutAbAttr
  - PreSwitchOutResetStatusAbAttr

- Defined in src/data/ability.ts:2186

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPreSwitchOut
getCondition
getTriggerMessage

## Constructors

### constructor

- new PreSwitchOutResetStatusAbAttr(): PreSwitchOutResetStatusAbAttr

- #### Returns PreSwitchOutResetStatusAbAttr

  Inherited from PreSwitchOutAbAttr.constructor

  - Defined in src/data/ability.ts:2177

## Properties

### showAbility

showAbility: boolean

Inherited from PreSwitchOutAbAttr.showAbility

- Defined in src/data/ability.ts:128

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PreSwitchOutAbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PreSwitchOutAbAttr.apply

  - Defined in src/data/ability.ts:135

### applyPreSwitchOut

- applyPreSwitchOut(pokemon, passive, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Overrides PreSwitchOutAbAttr.applyPreSwitchOut

  - Defined in src/data/ability.ts:2187

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PreSwitchOutAbAttr.getCondition

  - Defined in src/data/ability.ts:143

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PreSwitchOutAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:139